Skip to main content

Get All App Details

GET/workspace/{workspaceId}/apps

Returns app details for all applications in a workspace.

Path Parameters
workspaceIdstringrequired
The unique identifier of the workspace.
Error Responses
400
workspaceId is not a valid UUID, or workspace does not exist.
403
ENABLE_EXTERNAL_API is not true, license missing, or Authorization header invalid.
451
EXTERNAL_API license not active on the instance.
Request
curl -X GET "https://{your-domain}/api/ext/workspace/{workspaceId}/apps" -H "Authorization: Basic <access_token>"
Response — 200
[
{
  "id": "ae06cc7a-2922-4fe7-9064-462741558813",
  "name": "Applicant tracking system",
  "slug": "ae06cc7a-2922-4fe7-9064-462741558813",
  "versions": [
    {
      "id": "37be6442-ca1b-4a5a-a6f4-f929e00a0ac1",
      "name": "v1"
    }
  ]
}
]